App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | List of all members
mhr.appcore.blending.Blender Class Reference

Rozhraní pro nativní třídu Blender. Dokumentace viz. nativní blender. More...

## Static Public Member Functions
static int | blendTo (BlendMode mode, NBitmap dst, NBitmap src, Rect srcRect, int srcOrigX, int srcOrigY) throws IllegalArgumentException, AlreadyDisposedException
static int | blendTo (BlendMode mode, NBitmap dst, NBitmap src, Rect srcRect, int srcOrigX, int srcOrigY, double alpha) throws IllegalArgumentException, AlreadyDisposedException
static int | blendTo (BlendMode mode, NBitmap dst, int color, Rect dstRect) throws IllegalArgumentException, AlreadyDisposedException
static int | blendTo (BlendMode mode, NBitmap dst, int color, Rect dstRect, double alpha) throws IllegalArgumentException, AlreadyDisposedException
static int | addTo (NBitmap dst, NBitmap src, Rect srcRect, int srcOrigX, int srcOrigY) throws IllegalArgumentException, AlreadyDisposedException
static int | addTo (NBitmap dst, NBitmap src, Rect srcRect, int srcOrigX, int srcOrigY, double alpha) throws IllegalArgumentException, AlreadyDisposedException
static int | addTo (NBitmap dst, NBitmap msk, NBitmap src, Rect mskRect, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY) throws IllegalArgumentException, AlreadyDisposedException
static int | addTo (NBitmap dst, NBitmap msk, NBitmap src, Rect mskRect, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY, double alpha) throws IllegalArgumentException, AlreadyDisposedException
static int | removeFrom (NBitmap dst, NBitmap src, Rect srcRect, int srcOrigX, int srcOrigY) throws IllegalArgumentException, AlreadyDisposedException
static int | removeFrom (NBitmap dst, NBitmap src, Rect srcRect, int srcOrigX, int srcOrigY, double alpha) throws IllegalArgumentException, AlreadyDisposedException
static int | removeFrom (NBitmap dst, NBitmap msk, NBitmap src, Rect mskRect, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY) throws IllegalArgumentException, AlreadyDisposedException
static int | removeFrom (NBitmap dst, NBitmap msk, NBitmap src, Rect mskRect, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY, double alpha) throws IllegalArgumentException, AlreadyDisposedException
static int | addTo4ch (NBitmap dst, NBitmap src, Rect srcRect, int srcOrigX, int srcOrigY) throws IllegalArgumentException, AlreadyDisposedException
static int | addTo4ch (NBitmap dst, NBitmap src, Rect srcRect, int srcOrigX, int srcOrigY, double alpha) throws IllegalArgumentException, AlreadyDisposedException
static int | addTo4ch (NBitmap dst, NBitmap msk, NBitmap src, Rect mskRect, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY) throws IllegalArgumentException, AlreadyDisposedException
static int | addTo4ch (NBitmap dst, NBitmap msk, NBitmap src, Rect mskRect, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY, double alpha) throws IllegalArgumentException, AlreadyDisposedException
static int | removeFrom4ch (NBitmap dst, NBitmap src, Rect srcRect, int srcOrigX, int srcOrigY) throws IllegalArgumentException, AlreadyDisposedException
static int | removeFrom4ch (NBitmap dst, NBitmap src, Rect srcRect, int srcOrigX, int srcOrigY, double alpha) throws IllegalArgumentException, AlreadyDisposedException
static int | removeFrom4ch (NBitmap dst, NBitmap msk, NBitmap src, Rect mskRect, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY) throws IllegalArgumentException, AlreadyDisposedException
static int | removeFrom4ch (NBitmap dst, NBitmap msk, NBitmap src, Rect mskRect, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY, double alpha) throws IllegalArgumentException, AlreadyDisposedException
static int | drawTo (BlendMode mode, NBitmap dst, NBitmap msk, int color, Rect mskRect, int mskOrigX, int mskOrigY) throws IllegalArgumentException, AlreadyDisposedException
static int | drawTo (BlendMode mode, NBitmap dst, NBitmap msk, int color, Rect mskRect, int mskOrigX, int mskOrigY, double alpha) throws IllegalArgumentException, AlreadyDisposedException
static int | drawTo (BlendMode mode, NBitmap dst, NBitmap msk, NBitmap src, Rect mskRect, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY) throws IllegalArgumentException, AlreadyDisposedException
static int | drawTo (BlendMode mode, NBitmap dst, NBitmap msk, NBitmap src, Rect mskRect, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY, double alpha) throws IllegalArgumentException, AlreadyDisposedException

## Protected Member Functions
| Blender ()
| Defaultní konstruktor, nelze vytvářet instance (nemá smysl)

## Static Protected Member Functions
static native int | blendTo (int nativeType, int mode, long dstAdress, long srcAdress, int srcTlx, int srcTly, int srcBrx, int srcBry, int srcOrigX, int srcOrigY)
static native int | blendTo (int nativeType, int mode, long dstAdress, long srcAdress, int srcTlx, int srcTly, int srcBrx, int srcBry, int srcOrigX, int srcOrigY, double alpha)
static native int | blendTo (int nativeType, int mode, long dstAdress, int color, int dstTlx, int dstTly, int dstBrx, int dstBry)
static native int | blendTo (int nativeType, int mode, long dstAdress, int color, int dstTlx, int dstTly, int dstBrx, int dstBry, double alpha)
static native int | addTo (int nativeType, long dstAdress, long srcAdress, int srcTlx, int srcTly, int srcBrx, int srcBry, int srcOrigX, int srcOrigY)
static native int | addTo (int nativeType, long dstAdress, long srcAdress, int srcTlx, int srcTly, int srcBrx, int srcBry, int srcOrigX, int srcOrigY, double alpha)
static native int | addTo (int nativeType, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY)
static native int | addTo (int nativeType, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY, double alpha)
static native int | removeFrom (int nativeType, long dstAdress, long srcAdress, int srcTlx, int srcTly, int srcBrx, int srcBry, int srcOrigX, int srcOrigY)
static native int | removeFrom (int nativeType, long dstAdress, long srcAdress, int srcTlx, int srcTly, int srcBrx, int srcBry, int srcOrigX, int srcOrigY, double alpha)
static native int | removeFrom (int nativeType, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY)
static native int | removeFrom (int nativeType, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY, double alpha)
static native int | addTo4ch (int nativeType, long dstAdress, long srcAdress, int srcTlx, int srcTly, int srcBrx, int srcBry, int srcOrigX, int srcOrigY)
static native int | addTo4ch (int nativeType, long dstAdress, long srcAdress, int srcTlx, int srcTly, int srcBrx, int srcBry, int srcOrigX, int srcOrigY, double alpha)
static native int | addTo4ch (int nativeType, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY)
static native int | addTo4ch (int nativeType, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY, double alpha)
static native int | removeFrom4ch (int nativeType, long dstAdress, long srcAdress, int srcTlx, int srcTly, int srcBrx, int srcBry, int srcOrigX, int srcOrigY)
static native int | removeFrom4ch (int nativeType, long dstAdress, long srcAdress, int srcTlx, int srcTly, int srcBrx, int srcBry, int srcOrigX, int srcOrigY, double alpha)
static native int | removeFrom4ch (int nativeType, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY)
static native int | removeFrom4ch (int nativeType, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY, double alpha)
static native int | drawTo (int nativeType, int mode, long dstAdress, long mskAdress, int color, int mskTlx, int mskTly, int mskBrx, int mskBry, int mskOrigX, int mskOrigY)
static native int | drawTo (int nativeType, int mode, long dstAdress, long mskAdress, int color, int mskTlx, int mskTly, int mskBrx, int mskBry, int mskOrigX, int mskOrigY, double alpha)
static native int | drawTo (int nativeType, int mode, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY)
static native int | drawTo (int nativeType, int mode, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY, double alpha)

## Detailed Description

Rozhraní pro nativní třídu Blender. Dokumentace viz. nativní blender.

Definition at line 14 of file Blender.java.

## Constructor & Destructor Documentation

mhr.appcore.blending.Blender.Blender | ( |  | ) |
| inlineprotected

Defaultní konstruktor, nelze vytvářet instance (nemá smysl)

Definition at line 81 of file Blender.java.

{
}

## Member Function Documentation

static native int mhr.appcore.blending.Blender.addTo | ( | int | nativeType,
|  | long | dstAdress,
|  | long | srcAdress,
|  | int | srcTlx,
|  | int | srcTly,
|  | int | srcBrx,
|  | int | srcBry,
|  | int | srcOrigX,
|  | int | srcOrigY
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.addTo | ( | int | nativeType,
|  | long | dstAdress,
|  | long | srcAdress,
|  | int | srcTlx,
|  | int | srcTly,
|  | int | srcBrx,
|  | int | srcBry,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | double | alpha
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.addTo | ( | int | nativeType,
|  | long | dstAdress,
|  | long | mskAdress,
|  | long | srcAdress,
|  | int | mskTlx,
|  | int | mskTly,
|  | int | mskBrx,
|  | int | mskBry,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.addTo | ( | int | nativeType,
|  | long | dstAdress,
|  | long | mskAdress,
|  | long | srcAdress,
|  | int | mskTlx,
|  | int | mskTly,
|  | int | mskBrx,
|  | int | mskBry,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY,
|  | double | alpha
| ) |  |
| staticprotected

static int mhr.appcore.blending.Blender.addTo | ( | NBitmap | dst,
|  | NBitmap | src,
|  | Rect | srcRect,
|  | int | srcOrigX,
|  | int | srcOrigY
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 126 of file Blender.java.

{
BitmapInfo srcInfo = src.getInfo();
if (srcInfo.channelCount == ChannelCount.SINGLE_CHANNEL && src.getNativeType() == dst.getNativeType()) {
return addTo(src.getNativeType().getValue(), dst.getAdress(), src.getAdress(), srcRect.tlx, srcRect.tly, srcRect.brx, srcRect.bry, srcOrigX, srcOrigY);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.addTo | ( | NBitmap | dst,
|  | NBitmap | src,
|  | Rect | srcRect,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | double | alpha
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 135 of file Blender.java.

{
BitmapInfo srcInfo = src.getInfo();
if (srcInfo.channelCount == ChannelCount.SINGLE_CHANNEL && src.getNativeType() == dst.getNativeType()) {
return addTo(src.getNativeType().getValue(), dst.getAdress(), src.getAdress(), srcRect.tlx, srcRect.tly, srcRect.brx, srcRect.bry, srcOrigX, srcOrigY, alpha);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.addTo | ( | NBitmap | dst,
|  | NBitmap | msk,
|  | NBitmap | src,
|  | Rect | mskRect,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 144 of file Blender.java.

{
BitmapInfo mskInfo = msk.getInfo();
BitmapInfo dstInfo = dst.getInfo();
BitmapInfo srcInfo = src.getInfo();
if (mskInfo.channelCount == ChannelCount.SINGLE_CHANNEL && dstInfo.channelCount == ChannelCount.SINGLE_CHANNEL && srcInfo.channelCount == ChannelCount.SINGLE_CHANNEL
&& dstInfo.depth == mskInfo.depth && dstInfo.depth == srcInfo.depth) {
return addTo(dst.getNativeType().getValue(), dst.getAdress(), msk.getAdress(), src.getAdress(), mskRect.tlx, mskRect.tly, mskRect.brx, mskRect.bry, srcOrigX, srcOrigY,
mskOrigX, mskOrigY);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.addTo | ( | NBitmap | dst,
|  | NBitmap | msk,
|  | NBitmap | src,
|  | Rect | mskRect,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY,
|  | double | alpha
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 158 of file Blender.java.

{
BitmapInfo mskInfo = msk.getInfo();
BitmapInfo dstInfo = dst.getInfo();
BitmapInfo srcInfo = src.getInfo();
if (mskInfo.channelCount == ChannelCount.SINGLE_CHANNEL && dstInfo.channelCount == ChannelCount.SINGLE_CHANNEL && srcInfo.channelCount == ChannelCount.SINGLE_CHANNEL
&& dstInfo.depth == mskInfo.depth && dstInfo.depth == srcInfo.depth) {
return addTo(dst.getNativeType().getValue(), dst.getAdress(), msk.getAdress(), src.getAdress(), mskRect.tlx, mskRect.tly, mskRect.brx, mskRect.bry, srcOrigX, srcOrigY,
mskOrigX, mskOrigY, alpha);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static native int mhr.appcore.blending.Blender.addTo4ch | ( | int | nativeType,
|  | long | dstAdress,
|  | long | srcAdress,
|  | int | srcTlx,
|  | int | srcTly,
|  | int | srcBrx,
|  | int | srcBry,
|  | int | srcOrigX,
|  | int | srcOrigY
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.addTo4ch | ( | int | nativeType,
|  | long | dstAdress,
|  | long | srcAdress,
|  | int | srcTlx,
|  | int | srcTly,
|  | int | srcBrx,
|  | int | srcBry,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | double | alpha
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.addTo4ch | ( | int | nativeType,
|  | long | dstAdress,
|  | long | mskAdress,
|  | long | srcAdress,
|  | int | mskTlx,
|  | int | mskTly,
|  | int | mskBrx,
|  | int | mskBry,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.addTo4ch | ( | int | nativeType,
|  | long | dstAdress,
|  | long | mskAdress,
|  | long | srcAdress,
|  | int | mskTlx,
|  | int | mskTly,
|  | int | mskBrx,
|  | int | mskBry,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY,
|  | double | alpha
| ) |  |
| staticprotected

static int mhr.appcore.blending.Blender.addTo4ch | ( | NBitmap | dst,
|  | NBitmap | src,
|  | Rect | srcRect,
|  | int | srcOrigX,
|  | int | srcOrigY
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 218 of file Blender.java.

{
BitmapInfo srcInfo = src.getInfo();
BitmapInfo dstInfo = dst.getInfo();
if (srcInfo.channelCount == ChannelCount.SINGLE_CHANNEL && dstInfo.channelCount == ChannelCount.FOUR_CHANNEL && dstInfo.depth == srcInfo.depth) {
return addTo4ch(src.getNativeType().getValue(), dst.getAdress(), src.getAdress(), srcRect.tlx, srcRect.tly, srcRect.brx, srcRect.bry, srcOrigX, srcOrigY);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.addTo4ch | ( | NBitmap | dst,
|  | NBitmap | src,
|  | Rect | srcRect,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | double | alpha
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 228 of file Blender.java.

{
BitmapInfo srcInfo = src.getInfo();
BitmapInfo dstInfo = dst.getInfo();
if (srcInfo.channelCount == ChannelCount.SINGLE_CHANNEL && dstInfo.channelCount == ChannelCount.FOUR_CHANNEL && dstInfo.depth == srcInfo.depth) {
return addTo4ch(src.getNativeType().getValue(), dst.getAdress(), src.getAdress(), srcRect.tlx, srcRect.tly, srcRect.brx, srcRect.bry, srcOrigX, srcOrigY, alpha);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.addTo4ch | ( | NBitmap | dst,
|  | NBitmap | msk,
|  | NBitmap | src,
|  | Rect | mskRect,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 238 of file Blender.java.

{
BitmapInfo mskInfo = msk.getInfo();
BitmapInfo srcInfo = src.getInfo();
BitmapInfo dstInfo = dst.getInfo();
if (srcInfo.channelCount == ChannelCount.SINGLE_CHANNEL && dstInfo.channelCount == ChannelCount.FOUR_CHANNEL && mskInfo.channelCount == ChannelCount.SINGLE_CHANNEL
&& dstInfo.depth == srcInfo.depth && dstInfo.depth == mskInfo.depth) {
return addTo4ch(dst.getNativeType().getValue(), dst.getAdress(), msk.getAdress(), src.getAdress(), mskRect.tlx, mskRect.tly, mskRect.brx, mskRect.bry, srcOrigX,
srcOrigY, mskOrigX, mskOrigY);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.addTo4ch | ( | NBitmap | dst,
|  | NBitmap | msk,
|  | NBitmap | src,
|  | Rect | mskRect,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY,
|  | double | alpha
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 252 of file Blender.java.

{
BitmapInfo mskInfo = msk.getInfo();
BitmapInfo srcInfo = src.getInfo();
BitmapInfo dstInfo = dst.getInfo();
if (srcInfo.channelCount == ChannelCount.SINGLE_CHANNEL && dstInfo.channelCount == ChannelCount.FOUR_CHANNEL && mskInfo.channelCount == ChannelCount.SINGLE_CHANNEL
&& dstInfo.depth == srcInfo.depth && dstInfo.depth == mskInfo.depth) {
return addTo4ch(dst.getNativeType().getValue(), dst.getAdress(), msk.getAdress(), src.getAdress(), mskRect.tlx, mskRect.tly, mskRect.brx, mskRect.bry, srcOrigX,
srcOrigY, mskOrigX, mskOrigY, alpha);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static native int mhr.appcore.blending.Blender.blendTo | ( | int | nativeType,
|  | int | mode,
|  | long | dstAdress,
|  | long | srcAdress,
|  | int | srcTlx,
|  | int | srcTly,
|  | int | srcBrx,
|  | int | srcBry,
|  | int | srcOrigX,
|  | int | srcOrigY
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.blendTo | ( | int | nativeType,
|  | int | mode,
|  | long | dstAdress,
|  | long | srcAdress,
|  | int | srcTlx,
|  | int | srcTly,
|  | int | srcBrx,
|  | int | srcBry,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | double | alpha
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.blendTo | ( | int | nativeType,
|  | int | mode,
|  | long | dstAdress,
|  | int | color,
|  | int | dstTlx,
|  | int | dstTly,
|  | int | dstBrx,
|  | int | dstBry
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.blendTo | ( | int | nativeType,
|  | int | mode,
|  | long | dstAdress,
|  | int | color,
|  | int | dstTlx,
|  | int | dstTly,
|  | int | dstBrx,
|  | int | dstBry,
|  | double | alpha
| ) |  |
| staticprotected

static int mhr.appcore.blending.Blender.blendTo | ( | BlendMode | mode,
|  | NBitmap | dst,
|  | NBitmap | src,
|  | Rect | srcRect,
|  | int | srcOrigX,
|  | int | srcOrigY
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 87 of file Blender.java.

{
BitmapInfo srcInfo = src.getInfo();
if (srcInfo.channelCount == ChannelCount.FOUR_CHANNEL && src.getNativeType() == dst.getNativeType()) {
return blendTo(src.getNativeType().getValue(), mode.getValue(), dst.getAdress(), src.getAdress(), srcRect.tlx, srcRect.tly, srcRect.brx, srcRect.bry, srcOrigX,
srcOrigY);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.blendTo | ( | BlendMode | mode,
|  | NBitmap | dst,
|  | NBitmap | src,
|  | Rect | srcRect,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | double | alpha
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 97 of file Blender.java.

{
BitmapInfo srcInfo = src.getInfo();
if (srcInfo.channelCount == ChannelCount.FOUR_CHANNEL && src.getNativeType() == dst.getNativeType()) {
return blendTo(src.getNativeType().getValue(), mode.getValue(), dst.getAdress(), src.getAdress(), srcRect.tlx, srcRect.tly, srcRect.brx, srcRect.bry, srcOrigX,
srcOrigY, alpha);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.blendTo | ( | BlendMode | mode,
|  | NBitmap | dst,
|  | int | color,
|  | Rect | dstRect
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 108 of file Blender.java.

{
BitmapInfo dstInfo = dst.getInfo();
if (dstInfo.channelCount == ChannelCount.FOUR_CHANNEL) {
return blendTo(dst.getNativeType().getValue(), mode.getValue(), dst.getAdress(), color, dstRect.tlx, dstRect.tly, dstRect.brx, dstRect.bry);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.blendTo | ( | BlendMode | mode,
|  | NBitmap | dst,
|  | int | color,
|  | Rect | dstRect,
|  | double | alpha
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 117 of file Blender.java.

{
BitmapInfo dstInfo = dst.getInfo();
if (dstInfo.channelCount == ChannelCount.FOUR_CHANNEL) {
return blendTo(dst.getNativeType().getValue(), mode.getValue(), dst.getAdress(), color, dstRect.tlx, dstRect.tly, dstRect.brx, dstRect.bry, alpha);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static native int mhr.appcore.blending.Blender.drawTo | ( | int | nativeType,
|  | int | mode,
|  | long | dstAdress,
|  | long | mskAdress,
|  | int | color,
|  | int | mskTlx,
|  | int | mskTly,
|  | int | mskBrx,
|  | int | mskBry,
|  | int | mskOrigX,
|  | int | mskOrigY
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.drawTo | ( | int | nativeType,
|  | int | mode,
|  | long | dstAdress,
|  | long | mskAdress,
|  | int | color,
|  | int | mskTlx,
|  | int | mskTly,
|  | int | mskBrx,
|  | int | mskBry,
|  | int | mskOrigX,
|  | int | mskOrigY,
|  | double | alpha
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.drawTo | ( | int | nativeType,
|  | int | mode,
|  | long | dstAdress,
|  | long | mskAdress,
|  | long | srcAdress,
|  | int | mskTlx,
|  | int | mskTly,
|  | int | mskBrx,
|  | int | mskBry,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.drawTo | ( | int | nativeType,
|  | int | mode,
|  | long | dstAdress,
|  | long | mskAdress,
|  | long | srcAdress,
|  | int | mskTlx,
|  | int | mskTly,
|  | int | mskBrx,
|  | int | mskBry,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY,
|  | double | alpha
| ) |  |
| staticprotected

static int mhr.appcore.blending.Blender.drawTo | ( | BlendMode | mode,
|  | NBitmap | dst,
|  | NBitmap | msk,
|  | int | color,
|  | Rect | mskRect,
|  | int | mskOrigX,
|  | int | mskOrigY
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 314 of file Blender.java.

{
BitmapInfo mskInfo = msk.getInfo();
BitmapInfo dstInfo = dst.getInfo();
if (mskInfo.channelCount == ChannelCount.SINGLE_CHANNEL && dstInfo.channelCount == ChannelCount.FOUR_CHANNEL && dstInfo.depth == mskInfo.depth) {
return drawTo(dst.getNativeType().getValue(), mode.getValue(), dst.getAdress(), msk.getAdress(), color, mskRect.tlx, mskRect.tly, mskRect.brx, mskRect.bry, mskOrigX,
mskOrigY);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.drawTo | ( | BlendMode | mode,
|  | NBitmap | dst,
|  | NBitmap | msk,
|  | int | color,
|  | Rect | mskRect,
|  | int | mskOrigX,
|  | int | mskOrigY,
|  | double | alpha
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 326 of file Blender.java.

{
BitmapInfo mskInfo = msk.getInfo();
BitmapInfo dstInfo = dst.getInfo();
if (mskInfo.channelCount == ChannelCount.SINGLE_CHANNEL && dstInfo.channelCount == ChannelCount.FOUR_CHANNEL && dstInfo.depth == mskInfo.depth) {
return drawTo(dst.getNativeType().getValue(), mode.getValue(), dst.getAdress(), msk.getAdress(), color, mskRect.tlx, mskRect.tly, mskRect.brx, mskRect.bry, mskOrigX,
mskOrigY, alpha);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.drawTo | ( | BlendMode | mode,
|  | NBitmap | dst,
|  | NBitmap | msk,
|  | NBitmap | src,
|  | Rect | mskRect,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 338 of file Blender.java.

{
BitmapInfo mskInfo = msk.getInfo();
BitmapInfo dstInfo = dst.getInfo();
BitmapInfo srcInfo = src.getInfo();
if (mskInfo.channelCount == ChannelCount.SINGLE_CHANNEL && dstInfo.channelCount == ChannelCount.FOUR_CHANNEL && srcInfo.channelCount == ChannelCount.FOUR_CHANNEL
&& dstInfo.depth == mskInfo.depth && dstInfo.depth == srcInfo.depth) {
return drawTo(dst.getNativeType().getValue(), mode.getValue(), dst.getAdress(), msk.getAdress(), src.getAdress(), mskRect.tlx, mskRect.tly, mskRect.brx, mskRect.bry,
srcOrigX, srcOrigY, mskOrigX, mskOrigY);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.drawTo | ( | BlendMode | mode,
|  | NBitmap | dst,
|  | NBitmap | msk,
|  | NBitmap | src,
|  | Rect | mskRect,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY,
|  | double | alpha
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 352 of file Blender.java.

{
BitmapInfo mskInfo = msk.getInfo();
BitmapInfo dstInfo = dst.getInfo();
BitmapInfo srcInfo = src.getInfo();
if (mskInfo.channelCount == ChannelCount.SINGLE_CHANNEL && dstInfo.channelCount == ChannelCount.FOUR_CHANNEL && srcInfo.channelCount == ChannelCount.FOUR_CHANNEL
&& dstInfo.depth == mskInfo.depth && dstInfo.depth == srcInfo.depth) {
return drawTo(dst.getNativeType().getValue(), mode.getValue(), dst.getAdress(), msk.getAdress(), src.getAdress(), mskRect.tlx, mskRect.tly, mskRect.brx, mskRect.bry,
srcOrigX, srcOrigY, mskOrigX, mskOrigY, alpha);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static native int mhr.appcore.blending.Blender.removeFrom | ( | int | nativeType,
|  | long | dstAdress,
|  | long | srcAdress,
|  | int | srcTlx,
|  | int | srcTly,
|  | int | srcBrx,
|  | int | srcBry,
|  | int | srcOrigX,
|  | int | srcOrigY
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.removeFrom | ( | int | nativeType,
|  | long | dstAdress,
|  | long | srcAdress,
|  | int | srcTlx,
|  | int | srcTly,
|  | int | srcBrx,
|  | int | srcBry,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | double | alpha
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.removeFrom | ( | int | nativeType,
|  | long | dstAdress,
|  | long | mskAdress,
|  | long | srcAdress,
|  | int | mskTlx,
|  | int | mskTly,
|  | int | mskBrx,
|  | int | mskBry,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.removeFrom | ( | int | nativeType,
|  | long | dstAdress,
|  | long | mskAdress,
|  | long | srcAdress,
|  | int | mskTlx,
|  | int | mskTly,
|  | int | mskBrx,
|  | int | mskBry,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY,
|  | double | alpha
| ) |  |
| staticprotected

static int mhr.appcore.blending.Blender.removeFrom | ( | NBitmap | dst,
|  | NBitmap | src,
|  | Rect | srcRect,
|  | int | srcOrigX,
|  | int | srcOrigY
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 172 of file Blender.java.

{
BitmapInfo srcInfo = src.getInfo();
if (srcInfo.channelCount == ChannelCount.SINGLE_CHANNEL && src.getNativeType() == dst.getNativeType()) {
return removeFrom(src.getNativeType().getValue(), dst.getAdress(), src.getAdress(), srcRect.tlx, srcRect.tly, srcRect.brx, srcRect.bry, srcOrigX, srcOrigY);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.removeFrom | ( | NBitmap | dst,
|  | NBitmap | src,
|  | Rect | srcRect,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | double | alpha
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 181 of file Blender.java.

{
BitmapInfo srcInfo = src.getInfo();
if (srcInfo.channelCount == ChannelCount.SINGLE_CHANNEL && src.getNativeType() == dst.getNativeType()) {
return removeFrom(src.getNativeType().getValue(), dst.getAdress(), src.getAdress(), srcRect.tlx, srcRect.tly, srcRect.brx, srcRect.bry, srcOrigX, srcOrigY, alpha);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.removeFrom | ( | NBitmap | dst,
|  | NBitmap | msk,
|  | NBitmap | src,
|  | Rect | mskRect,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 190 of file Blender.java.

{
BitmapInfo mskInfo = msk.getInfo();
BitmapInfo dstInfo = dst.getInfo();
BitmapInfo srcInfo = src.getInfo();
if (mskInfo.channelCount == ChannelCount.SINGLE_CHANNEL && dstInfo.channelCount == ChannelCount.SINGLE_CHANNEL && srcInfo.channelCount == ChannelCount.SINGLE_CHANNEL
&& dstInfo.depth == mskInfo.depth && dstInfo.depth == srcInfo.depth) {
return removeFrom(dst.getNativeType().getValue(), dst.getAdress(), msk.getAdress(), src.getAdress(), mskRect.tlx, mskRect.tly, mskRect.brx, mskRect.bry, srcOrigX,
srcOrigY, mskOrigX, mskOrigY);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.removeFrom | ( | NBitmap | dst,
|  | NBitmap | msk,
|  | NBitmap | src,
|  | Rect | mskRect,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY,
|  | double | alpha
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 204 of file Blender.java.

{
BitmapInfo mskInfo = msk.getInfo();
BitmapInfo dstInfo = dst.getInfo();
BitmapInfo srcInfo = src.getInfo();
if (mskInfo.channelCount == ChannelCount.SINGLE_CHANNEL && dstInfo.channelCount == ChannelCount.SINGLE_CHANNEL && srcInfo.channelCount == ChannelCount.SINGLE_CHANNEL
&& dstInfo.depth == mskInfo.depth && dstInfo.depth == srcInfo.depth) {
return removeFrom(dst.getNativeType().getValue(), dst.getAdress(), msk.getAdress(), src.getAdress(), mskRect.tlx, mskRect.tly, mskRect.brx, mskRect.bry, srcOrigX,
srcOrigY, mskOrigX, mskOrigY, alpha);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static native int mhr.appcore.blending.Blender.removeFrom4ch | ( | int | nativeType,
|  | long | dstAdress,
|  | long | srcAdress,
|  | int | srcTlx,
|  | int | srcTly,
|  | int | srcBrx,
|  | int | srcBry,
|  | int | srcOrigX,
|  | int | srcOrigY
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.removeFrom4ch | ( | int | nativeType,
|  | long | dstAdress,
|  | long | srcAdress,
|  | int | srcTlx,
|  | int | srcTly,
|  | int | srcBrx,
|  | int | srcBry,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | double | alpha
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.removeFrom4ch | ( | int | nativeType,
|  | long | dstAdress,
|  | long | mskAdress,
|  | long | srcAdress,
|  | int | mskTlx,
|  | int | mskTly,
|  | int | mskBrx,
|  | int | mskBry,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY
| ) |  |
| staticprotected

static native int mhr.appcore.blending.Blender.removeFrom4ch | ( | int | nativeType,
|  | long | dstAdress,
|  | long | mskAdress,
|  | long | srcAdress,
|  | int | mskTlx,
|  | int | mskTly,
|  | int | mskBrx,
|  | int | mskBry,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY,
|  | double | alpha
| ) |  |
| staticprotected

static int mhr.appcore.blending.Blender.removeFrom4ch | ( | NBitmap | dst,
|  | NBitmap | src,
|  | Rect | srcRect,
|  | int | srcOrigX,
|  | int | srcOrigY
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 266 of file Blender.java.

{
BitmapInfo srcInfo = src.getInfo();
BitmapInfo dstInfo = dst.getInfo();
if (srcInfo.channelCount == ChannelCount.SINGLE_CHANNEL && dstInfo.channelCount == ChannelCount.FOUR_CHANNEL && dstInfo.depth == srcInfo.depth) {
return removeFrom4ch(src.getNativeType().getValue(), dst.getAdress(), src.getAdress(), srcRect.tlx, srcRect.tly, srcRect.brx, srcRect.bry, srcOrigX, srcOrigY);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.removeFrom4ch | ( | NBitmap | dst,
|  | NBitmap | src,
|  | Rect | srcRect,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | double | alpha
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 276 of file Blender.java.

{
BitmapInfo srcInfo = src.getInfo();
BitmapInfo dstInfo = dst.getInfo();
if (srcInfo.channelCount == ChannelCount.SINGLE_CHANNEL && dstInfo.channelCount == ChannelCount.FOUR_CHANNEL && dstInfo.depth == srcInfo.depth) {
return removeFrom4ch(src.getNativeType().getValue(), dst.getAdress(), src.getAdress(), srcRect.tlx, srcRect.tly, srcRect.brx, srcRect.bry, srcOrigX, srcOrigY, alpha);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.removeFrom4ch | ( | NBitmap | dst,
|  | NBitmap | msk,
|  | NBitmap | src,
|  | Rect | mskRect,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 286 of file Blender.java.

{
BitmapInfo mskInfo = msk.getInfo();
BitmapInfo srcInfo = src.getInfo();
BitmapInfo dstInfo = dst.getInfo();
if (srcInfo.channelCount == ChannelCount.SINGLE_CHANNEL && dstInfo.channelCount == ChannelCount.FOUR_CHANNEL && mskInfo.channelCount == ChannelCount.SINGLE_CHANNEL
&& dstInfo.depth == srcInfo.depth && dstInfo.depth == mskInfo.depth) {
return removeFrom4ch(dst.getNativeType().getValue(), dst.getAdress(), msk.getAdress(), src.getAdress(), mskRect.tlx, mskRect.tly, mskRect.brx, mskRect.bry, srcOrigX,
srcOrigY, mskOrigX, mskOrigY);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

static int mhr.appcore.blending.Blender.removeFrom4ch | ( | NBitmap | dst,
|  | NBitmap | msk,
|  | NBitmap | src,
|  | Rect | mskRect,
|  | int | srcOrigX,
|  | int | srcOrigY,
|  | int | mskOrigX,
|  | int | mskOrigY,
|  | double | alpha
| ) |  | throws IllegalArgumentException, AlreadyDisposedException
| inlinestatic

Definition at line 300 of file Blender.java.

{
BitmapInfo mskInfo = msk.getInfo();
BitmapInfo srcInfo = src.getInfo();
BitmapInfo dstInfo = dst.getInfo();
if (srcInfo.channelCount == ChannelCount.SINGLE_CHANNEL && dstInfo.channelCount == ChannelCount.FOUR_CHANNEL && mskInfo.channelCount == ChannelCount.SINGLE_CHANNEL
&& dstInfo.depth == srcInfo.depth && dstInfo.depth == mskInfo.depth) {
return removeFrom4ch(dst.getNativeType().getValue(), dst.getAdress(), msk.getAdress(), src.getAdress(), mskRect.tlx, mskRect.tly, mskRect.brx, mskRect.bry, srcOrigX,
srcOrigY, mskOrigX, mskOrigY, alpha);
} else {
throw new IllegalArgumentException("Operation is not applicable to suplied NBitmaps.");
}
}

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/blending/Blender.java